Search workspace resources
Authorization
bearerAuth Paste the full personal access token or organization API key value. Examples: acq_live_..., acq_org_.... Tokens can be limited to resource/action scopes such as workspaces:read, people:write, and deals:write. Some integration endpoints require an organization key even when a personal token has the named resource scope.
In: header
Path Parameters
Workspace id.
uuidQuery Parameters
Search query. Minimum 2 characters, maximum 120.
2 <= length <= 120Optional comma-separated resource filter. Allowed values: people, companies.
1 <= length <= 240Maximum number of search results to return. Defaults to 25. Minimum 1, maximum 50.
1 <= value <= 5025Opaque pagination cursor from meta.pagination.nextCursor. Omit for the first page and pass back unchanged for the next page.
length <= 8192Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/search?q=string"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "resourceType": "people", "title": "string", "snippet": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "links": { "self": "http://example.com" } } ], "links": { "self": "http://example.com", "next": "http://example.com" }, "meta": { "pagination": { "nextCursor": "string", "hasMore": true, "limit": 1 }, "searchedResourceTypes": [ "people" ] }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}